Page MenuHomePhabricator

When showing search results for different language, exclude images from Commons
Closed, ResolvedPublic

Description

https://fr.wikipedia.org/w/index.php?title=Sp%C3%A9cial:Recherche&fulltext=Search&profile=all&search=WatchlistMessageCreator finds Fichier:Openstreetmap logo.svg twice, once as French content, once as English. This is a file from Commons, and should show up just once.

Event Timeline

Schnark created this task.Sep 14 2016, 10:03 AM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptSep 14 2016, 10:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as Normal priority.EditedSep 22 2016, 10:16 PM
debt moved this task from needs triage to Up Next on the Discovery-Search board.
debt added a subscriber: debt.

Let's go ahead and take care of this - search only once. See image for how it is currently working:

debt moved this task from Up Next to Current work on the Discovery-Search board.Oct 4 2016, 5:22 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.

Change 314312 had a related patch set uploaded (by DCausse):
Do not fetch results from commons if running from TextCat

https://gerrit.wikimedia.org/r/314312

Change 314312 merged by jenkins-bot:
Do not fetch results from commons if running from TextCat

https://gerrit.wikimedia.org/r/314312

XXN added a subscriber: XXN.Oct 25 2016, 7:52 PM
Deskana closed this task as Resolved.Oct 28 2016, 4:26 AM